Name:		clusternfs
Version:	3.0.rc2
Release:	10mdk

License:	GPL
Group:		System/Servers
Provides:	nfscluster nfs-server
Requires:	portmap
Conflicts:	nfs-utils
Summary:	ClusterNFS server
URL:		http://clusternfs.sourceforge.net
Source:		%{name}-%{version}.tar.bz2
Source1:	clusternfs.init
BuildRequires:	tcp_wrappers-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	portmap >= 4.0
PreReq:		/sbin/chkconfig rpm-helper

%description
ClusterNFS allows diskless clients to share a single root filesystem
by matching "tagged" filenames of the form "filename$$TAG=value$$" 
with fallback to the original filename.

%prep
%setup -q

%build
%serverbuild
./BUILD --batch \
	--rquotad=no \
	--ugidd=no --nis=yes \
	--hosts-access=yes\
	--libwrap-directory=%{_libdir} \
	--exports-uid=0 --exports-gid=0 \
	--log-mounts=yes --multi=yes \
	--devtab=yes --trnames=yes \
	--path_devtab=%{_localstatedir}/nfs/devtab

%make

%install
rm -fr %{buildroot}

%makeinstall_std
install -d %{buildroot}/var/adm/fillup-templates
install -m 755 %{SOURCE1} -D %{buildroot}%{_initrddir}/clusternfs
rm -f $RPM_BUILD_ROOT{%{_sbindir}/,%{_mandir}/man8/}showmount*

%post
if [ $1 == 2 ]; then
/sbin/chkconfig --del %{name}
/sbin/chkconfig --add %{name}
fi
%_post_service %{name}

%preun
%_preun_service %{name}
  
%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root)
%doc BUGS COPYING ChangeLog HALL_OF_FAME NEWS README README.HISTORIC TODO README.ClusterNFS EXAMPLE.ClusterNFS
%{_mandir}/man5/*
%{_mandir}/man8/[m-r]*
%{_localstatedir}/nfs
%{_sbindir}/rpc.*
%config(noreplace) %{_initrddir}/clusternfs

%changelog
* Mon Mar  1 2004 Stew Benedict <sbenedict@mandrakesoft.com> 3.0.rc2-10mdk
- provides nfs-server (#8490)

* Tue Feb  3 2004 Stew Benedict <sbenedict@mandrakesoft.com> 3.0.rc2-9mdk
- move initscript from 50->56 (start after named) (Francisco Javier Felix)

* Wed Jun 04 2003 Per yvind Karlsen <peroyvind@sintrax.net> 3.0.rc2-8mdk
- spec file fixes
- fix unpackaged files
- use %serverbuild macro to use $RPM_OPT_FLAGS
- macroize
- fix E: clusternfs no-prereq-on rpm-helper

* Thu Aug  8 2002 Stew Benedict <sbenedict@mandrakesoft.com> 3.0.rc2-7mdk
- remove showmount and conflict with nfs-utils-clients
- revert %%post, %%preun to former setup with macros, despite rpmlint

* Tue Aug  6 2002 Stew Benedict <sbenedict@mandrakesoft.com> 3.0.rc2-6mdk
- fix typo in chkconfig

* Tue Aug  6 2002 Stew Benedict <sbenedict@mandrakesoft.com> 3.0.rc2-5mdk
- Conflicts: nfs-utils-clients, rpmlint: *-without-chkconfig

* Fri Jul 26 2002 Stefan van der Eijk <stefan@eijk.nu> 3.0.rc2-4mdk
- BuildRequires

* Tue Jun 11 2002 Stew Benedict <sbenedict@mandrakesoft.com> 3.0.rc2-3mdk
- fix paths on build/install - referencing %%buildroot when app runs
- change Conflicts s/nfsutils/nfs-utils/
- fix post/preun scriptlets - no nfsserver script to chkconfig on

* Mon May 6 2002 Antoine Ginies <aginies@mandrakesoft.com> 3.0.rc2-2mdk
- first release for Mandrakesoft
